# This file contains information of customerized IOT list.

#
## Example:
#

# Interop Config Section
# [MtkXXX]

# Blacklisting by vendor prefix address:
# AddressBlacklist=12:34:56,22:22:22

# Blacklisting by Exact Name:
# ExactNameBlacklist=This is an example,MT-1234,T1

# Blacklisting by Partial Name (if name starts with)
# PartialNameBlacklist=Test,MT


###########################################
#            HOGP/GATT/BLE
###########################################

[MtkBleConnIntMinLimitAccept]
# Some device like will behave abnormally if their required interval
# which is less than BTM_BLE_CONN_INT_MIN_LIMIT is rejected.
# {0xd0, 0x5f, 0xb8} /*ELECOM Laser Mouse*/
AddressBlacklist=d0:5f:b8

ExactNameBlacklist=Arc Touch BT Mouse,ELECOM Laser Mouse

[MtkBleConnLatencyAdjust]
# Some devices request a large slave latency which will slow down
# the data transmission or break the link during profile establishment
# {0x00, 0x1b, 0xdc} /*BSM mouse*/
AddressBlacklist=00:1b:dc

ExactNameBlacklist=BSMBB09DS

[MtkBleConnTimeoutBlacklist]
# Some device request a minor link supervision timeout which can cause
# the link timeout frequently. So adjust their link supervision timeout to default value
# {0xff, 0x40, 0x3a} /*CASIO watch*/
# {0xda, 0x58, 0x98}
# {0xc2, 0x80, 0x29}
# {0xff, 0x74, 0xe1}
# {0xd9, 0xe6, 0xea}
AddressBlacklist=ff:40:3a,da:58:98,c2:80:29,ff:74:e1,d9:e6:ea

ExactNameBlacklist=CASIO GB-6900A*,UP2

[MtkBleDisablefastConn]
# Some device cannot handle fast connection procedure
# {0xd0, 0x5f, 0xb8} /*ELECOM*/
AddressBlacklist=d0:5f:b8

ExactNameBlacklist=ELECOM Laser Mouse

[MtkBleDisablePrefConnParams]
# Some device cann't handle the peripheral pereferred connection parameters
# update procedure
# {0xd0, 0x5f, 0xb8} /*ELECOM*/
AddressBlacklist=d0:5f:b8

ExactNameBlacklist=ELECOM Laser Mouse

PartialNameBlacklist=FeiZhi

[MtkSecureConnectionsBlacklist]
# Disbale SC mode when perform LE paring
# {0x7c, 0x66, 0x9d} /*Huitong BLE Remote*/
# {0xd0, 0x5f, 0xb8} /*ELECOM Laser Mouse*/
# {0x04, 0xe6, 0x76} /*XiaoYi_RC*/
#ifndef VENDOR_EDIT
#Baoti.Li@PSW.CN.BT.BLE.IOT.1114623, 2017/09/23,
#{0x08, 0x7c, 0xbe} /*WanKa K1 Band*/
#AddressBlacklist=7c:66:9d,d0:5f:b8,04:e6:76
#else /* VENDOR_EDIT */
AddressBlacklist=7c:66:9d,d0:5f:b8,04:e6:76,08:7c:be
#endif /* VENDOR_EDIT */

ExactNameBlacklist=Huitong BLE Remote,ELECOM Laser Mouse

PartialNameBlacklist=honor zero-,小米蓝牙遥控器,XiaoYi_RC

###########################################
#                HFP
###########################################

[MtkHfpDelayOpenScoBlicklist]
# Some device has some special request for
# opening the sco time, so work around for this device (Nexus has the same problem with this device).
# {0x00, 0x1E, 0xDC}   /* DS205 */
# {0x00, 0x58, 0x50}   /* BELKIN */
# {0xFC, 0x58, 0xFA}   /*MEIZU speaker*/
# {0xD0, 0x8A, 0x55}   /* XTFree */
# {0x00, 0x13, 0x04}   /* BTHFD */
# {0xA0, 0x10, 0x81}   /* Gear IconX R (783B) */
# {0x24, 0xA8, 0x7D}   /*CAR AUDIO*/swift dzire
# {0x61, 0x63, 0x83}   /*baojun730*/
# {0x38, 0xc0, 0x96}   /*benz R320*/
# {0xA4, 0xD5, 0x78}   /*Mazda CX4*/
# {0xfc, 0xdb, 0xb3}   /*Toyota Altis*/
# {0x30, 0x23, 0x8a}   /*G067*/
AddressBlacklist=00:1E:DC,00:58:50,fc:58:fa,D0:8A:55,00:13:04,A0:10:81,24:A8:7D,61:63:83,38:c0:96,A4:D5:78,fc:db:b3,30:23:8a

[MtkHfpDelaySocInAct]
# {0xB0, 0x72, 0xBF}   /*KIA MOTORS*/
# {0xD8, 0xC4, 0x6A}   /*KIA MOTORS*/
AddressBlacklist=b0:72:bf,d8:c4:6a

[MtkHfpDelayDiscSco]
# {0x24, 0xA8, 0x7D}   /*CAR AUDIO*/
AddressBlacklist=24:a8:7d

[MtkHfp17To16]
# Some device has IOT issue for HFP 1.7 version.
# Back to 1.6 for this devices.
# {0x00, 0x17, 0x53}   /* Tiggo5 */
# {0x04, 0xf8, 0xc2}   /* VW Radio */
# {0x00, 0x13, 0x04}   /* JAC */
AddressBlacklist=00:17:53,04:f8:c2,00:13:04

[MtkHfpForceToUseSco]
# Some device has issue when setup eSCO, so force to use SCO instead.
# {0x00, 0x58, 0x76},    /* BT800 */
# {0xA0, 0xE9, 0xDB},    /* ODYS-XOUND cube */
# {0x00, 0x58, 0x50},    /* SeeCom */
# {0x00, 0x58, 0x56},    /* RAVIS */
# {0x00, 0x58, 0x75},    /* Mifa F1 */
# {0x59, 0x90, 0xa1},    /* TRACTOR-7462 */
# {0x00, 0x58, 0x50},    /* AMETHYST MD3 */
# {0xD0, 0x8A, 0x55},    /* Skull Candy XTFree */
# {0x00, 0x0D, 0x18},    /* CARDVD-BT */
# {0x00, 0x0D, 0x18},    /* CarKit10BF */
# {0x00, 0x0D, 0x18},    /* NXO-3 */
AddressBlacklist=00:58:76,A0:E9:DB,00:58:50,00:58:75,59:90:a1,00:58:50,D0:8A:55,00:0D:18
ExactNameBlacklist=BT800,CARDVD-BT,CarKit10BF,SeeCom,RAVIS,Mifa F1,ODYS-XOUND cube,TRACTOR-7462,NX0-3,AMETHYSG MD3,BC8-Android

[MtkHfpForceToUseCVSD]
# Some device will no voice when using mSBC codec, so force to use CVSD.
# /*Parrot ASTEROID Smart*/
# /*Jabra Classic v0.5.3*/
# /*T1S (Bestechnic(Shanghai),Ltd)*/
# {0x1c, 0x48, 0xf9}    /*Jabra clear 2 Jabra CLASSIC*/
# ifdef VENDOR_EDIT
# Baoti.Li@PSW.CN.BT.HFP.IOT.960637, 2018/03/01, add more device to this blacklist.
# [00:08:8a]-[960637] -[M12]
# [        ]-[1011951]-[JABRA EASYGO]
# endif /* VENDOR_EDIT */
AddressBlacklist=1c:48:f9,00:08:8a
ExactNameBlacklist=Parrot ASTEROID Smart,Jabra Classic v0.5.3,JABRA EASYGO,T1S

[MtkHfpDelayScoAfterActive]
# {0x00, 0x13, 0x7b},    /* HMC */
# {0x24, 0xA8, 0x7D}   /*CAR AUDIO*/swift dzire
AddressBlacklist=00:13:7b,24:a8:7d

[MtkHfpInbandRingingEnable]
# Some device need to eable inband ringing.
# {0x2c, 0x4d, 0x79}    /*O-Free*/
ExactNameBlacklist=OPPO O-Free

[MtkHfpDelayScoForMOCall]
# {0x7c, 0x1c, 0x4e}   /*Tesla Model S*/
# {0x74, 0x6f, 0xf7}   /*benz NTG 6 */
# {0x33, 0x60, 0xb0}   /* Honda HFT_B960 */
AddressBlacklist=7c:1c:4e,74:6f:f7,33:60:b0

[MtkHfpUpdateSecondCallState]
# {0xfc, 0x58, 0xfa}   /* Meidong */
# {0x00, 0x0d, 0x18}   /* DVD (feige)*/
AddressBlacklist=fc:58:fa,00:0d:18

[MtkHfpNoUseCind]
# {0x61, 0x63, 0x83}   /*baojun730*/
# {0x38, 0xc0, 0x96}   /*benz R320*/
# {0x00, 0x58, 0x76}
# {0xE8, 0xf2, 0xe2}   /* MISTRA * /
AddressBlacklist=61:63:83,38:c0:96,00:58:76,e8:f2:e2

[MtkHfpNoReportCiev72]
# {0x40, 0xEF, 0x4C}   /* PASSWAY */
AddressBlacklist=40:ef:4c

###########################################
#                HID
###########################################

[MtkHIDDisableSDPBlacklist]
# Some HID devices have issue if SDP is initiated while HID connection is in progress
# {0x04, 0x0C, 0xCE},  /* Apple Magic Mouse */
# {0x00, 0x07, 0x61},  /* Bluetooth Laser Travel Mouse */
# {0x00, 0x1d, 0xd8},  /* Microsoft Bluetooth Notebook Mouse 5000 */
# {0x00, 0x1f, 0x20},  /* Logitech MX Revolution Mouse */
# {0x6c, 0x5d, 0x63},  /* Rapoo 6080 mouse */
# {0x28, 0x18, 0x78}   /* Microsoft Sculpt Touch Mouse */
# {0x30, 0x59, 0xb7}   /* Microsoft Sculpt Comfort Mouse */
# {0x34, 0x88, 0x5d},  /* Bluetooth mouse M557*/
# ifdef VENDOR_EDIT
# Baoti.Li@PSW.CN.BT.HID.955626, 2018/03/02, add more device to this blacklist.
# [58:71:33]-[955626]-[MEIYI]
# endif /* VENDOR_EDIT */
AddressBlacklist=04:0c:ce,00:07:61,00:1d:d8,00:1f:20,6c:5d:63,28:18:78,30:59:b7,34:88:5d,58:71:33

[MtkSniffSubratingBlacklist]
# {0x54, 0x46, 0x6b},  /* JW MT002 Bluetooth Mouse */ /*LMP version&subversion  - 5, 8721 & LMP Manufacturer - 15*/
# {0x6c, 0x5d, 0x63}, /* Rapoo 6610 Bluetooth Mouse */
# {0x60, 0x8c, 0x2b},  /* FelTouch Magic */
AddressBlacklist=54:46:6b,6c:5d:63,60:8c:2b

# ifdef VENDOR_EDIT
# Baoti.Li@PSW.CN.BT.HID.744272, 2018/01/16,
# {0x60, 0x8c, 0x2b},  /* FelTouch Magic */
ExactNameBlacklist=FelTouch Magic
# endif /* VENDOR_EDIT */
###########################################
#              A2DP/AVRCP
###########################################

[MtkA2DPDelayStartCMDBlicklist]
# Some special device want perform START cmd itself first
# If it not send START cmd, will close current link.
# So for this special device, we need delay send A2DP START cmd
# which from DUT to receive the special device cmd.
# {0x00, 0x17, 0x53}   /* Tiggo5 */
# {0x00, 0x13, 0x04}   /* CASKA */
# {0x0c, 0xa6, 0x94}   /* Philips Fidelio M2BT */
# {0x33, 0x60, 0x7c}   /* DVD */
# {0x00, 0x0d, 0x3c}   /* Clip Music 801 */
# {0x00, 0x0a, 0x08}   /* CDE-153Series */
# {0x00, 0x0d, 0x18}   /* RDA HBS device*/ - HBS8864
# {0x00, 0x07, 0x04}   /* Tiguan RNS carkit*/ - Tiguan RNS315 Bluetooth
# {0xbc, 0x6e, 0x64}   /* SBH54 */
# {0x00, 0x18, 0x09}   /* MDR-XB80BS */
#AddressBlacklist=00:17:53,00:13:04,0c:a6:94,33:60:7c,00:0d:3c,00:0a:08,bc:6e:64,00:18:09
AddressBlacklist=00:17:53,00:13:04,0c:a6:94,33:60:7c,00:0d:3c,00:0a:08,bc:6e:64,00:18:09

#ExactNameBlacklist=HBS8864,Tiguan RNS315 Bluetooth
#add test device name Baseus  B15
ExactNameBlacklist=HBS8864,Tiguan RNS315 Bluetooth,Baseus  B15

[MtkSongPositionBlacklist]
# Blacklisting by vendor prefix address:
# {0x00, 0x0e, 0x9f},  /* Toyota Touch&Go */
AddressBlacklist=00:0e:9f

ExactNameBlacklist=Toyota Touch&Go

[MtkA2dpChangeAcceptSignalTms]
# Some device will delay send A2DP signaling. It will occur A2DP connection conflict.
# Change accept signaling time out value for above devices.
# {0x00, 0x21, 0x3c},   /* Jawbone ICON*/
AddressBlacklist=00:21:3c

[MtkDisableAbsVolm]
# Enhance INTEROP_DISABLE_ABSOLUTE_VOLUME item for mtk blacklist solution
# {0x00, 0x08, 0x7A},   /* Pioneer APS-BH80 */
# {0x00, 0x08, 0x3e},   /* aigo X6 */
# {0x00, 0x00, 0x1a},   /* Gionee */
# {0xad, 0xcd, 0xee},   /* PISEN-LE005 */
# {0xe0, 0x9d, 0xfa},   /* huawei honer */
AddressBlacklist=00:08:7a,00:08:3e,00:00:1a,ad:cd:ee,e0:9d:fa

[MtkUpdatePlayStatusToUnactiveDevice]
# {0xA0, 0xE6, 0xF8},   /*Fitbit Blaze*/
# {0x6B, 0x1F, 0x88},   /*Versa (Classic)*/
AddressBlacklist=a0:e6:f8,6b:1f:88

[MtkSinkSdpFailNotDiscAvrcp]
# Some device support avrcp but not support a2dp.
# In this case, we do not close avrcp after audio sink sdp failed
# {0xA0, 0xE6, 0xF8},   /*Fitbit Blaze*/
AddressBlacklist=a0:e6:f8

[MtkUseAvrcp13]
# Some device not support avrcp1.5, we need use avrcp1.3 to response
# {0x48, 0xf0, 0x7b},  /* MB Bluetooth 41519 */
# {0xbc, 0x75, 0x36}, /* myChevrolet*/
AddressBlacklist=48:f0:7b,bc:75:36

[MtkUseAvrcp14]
# {0x50, 0x33, 0x8b},  /* Car Display Audio */
AddressBlacklist=50:33:8b

[MtkSkipRemoteSuspendFlag]
# Some device not send START cmd after send SUSPEND cmd by remote device.
# So in this case, music will not auto started. In order to skip this issue, add
# blacklist to remove flag BTIF_AV_FLAG_REMOTE_SUSPEND for trigger START by
# DUT
# {0xd4, 0xca, 0x6e},   /* Audi MMI 6610 */
# {0x48, 0xa9, 0xd2},   /* Audi MMI 2768 */
# {0x30, 0x14, 0x4a},   /* Porsche OLH   BT */
AddressBlacklist=d4:ca:6e,48:a9:d2,30:14:4a
PartialNameBlacklist=Audi,Porsche,BMW,MB Bluetooth,OLH   BT

[MtkAdvancedA2DPConnect]
# Some BT devices are less compatible in the market, for example,
# some devices like connect A2DP ASAP, but others are opposite.
# Add this blacklist to adapter this case.
# {0x00, 0x0d, 0x18}, /* Alpine */
# {0x40, 0xef, 0x4c}, /* UFO */
AddressBlacklist=00:0d:18,40:ef:4c

[MtkA2dp2mOnly]
# Some devices only use 2M for a2dp can work normally.
# {0x1c, 0xe1, 0x92},    /* GAC BT */
AddressBlacklist=1c:e1:92

[MtkAcceptL2cWhenConnection]
# {0x30, 0xc3, 0xd9},    /* no */
# {0x30, 0xc3, 0xd9},    /* S311 */
AddressBlacklist=30:c3:d9,aa:f0:f0


[MtkFlushL2cA2dBuf]
# Flush l2cap buffer and part of a2dp buffer to avoid a2dp silent,
# when user go faraway and back, such as AirPods.
PartialNameBlacklist=AirPods

[MtkA2dpDisableDelayReport]
#Some BT device send delay report continuously when a2dp suspend,
#or send delay report continuously when a2dp start,this cause high current.
# {0x28, 0x3f, 0x69},    /* SBH24 */
AddressBlacklist=28:3f:69

[MtkA2dpAddAacWhiteList]
#Add AAC white list,enable AAC codec
# {0x10, 0x94, 0xbb},    /* AirPods */
AddressBlacklist=10:94:bb

[MtkA2dpSetStandbyTime]
#Some BT device has pop sound when do music pause
#Some BT device has dropped sound
# {0x9c, 0x8d, 0x7c},    /* LEXUS */
# {0xd4, 0xca, 0x6e},    /* MY KICKS */
#lijun@ODM_HQ.Connectivity.Wifi.support, 20019-10-18,  sync from winter start
AddressBlacklist=9c:8d:7c,d4:ca:6e,00:16:94
#end

[MtkAvrcpFastforwardRewindStatus]
#Some carkit can't stop when fast_forward/rewind
# {0x00, 0x00, 0x2b},    /* Discovery Sport */
AddressBlacklist=00:00:2b

###########################################
#              RFCOMM
###########################################

[MtkForbidCombineRfcData]
# Some devices can not parse multi AT commands in one rfcomm packet.
# So, send data separately.
# {0x00, 0x0A, 0x08},   /*BMW94506*/  Remote device can not parse multi at commands.
# {0xfc, 0xdb, 0xb3},   /*Toyota Altis*/
# {0x28, 0x56, 0xc1},   /*TATA CONNECTNEXT*/
# {0xe4, 0x22, 0xa5},   /*PLT BB GO 3*/
AddressBlacklist=00:0a:08,fc:db:b3,28:56:c1,e4:22:a5


###########################################
#               L2CAP
###########################################

[MtkAcceptConnAsMaster]
# Some devices cannot work normally as master if the connection is initiated by themselves
# {0x6c, 0x5d, 0x63},  /* Rapoo 6610 mouse */
# {0x00, 0x02, 0xc7},  /* HANDS FREE carkit of Infineon Technologies AG */
# {0x00, 0x58, 0x75},  /* Mifa_F1 */
# {0x1c, 0x52, 0x16},  /* XM earphone */
# {0x11, 0x3b, 0xf6},  /* MY-S5 */
# {0x00, 0x58, 0x76},  /* BT800,this device does not send detach when power off */
AddressBlacklist=6c:5d:63,00:02:c7,00:58:75,1c:52:16,11:3b:f6,00:58:76


[MtkAcceptConnAsSlave]
# Some devices cannot work normally as slave if the connection is initiated by themselves.
# {0x00, 0x1e, 0xae},  /* SYNC, FORD carkit */
# {0x00, 0x26, 0xb4},  /* NAC ford, 2013 Lincoln */
# {0x00, 0x26, 0xe8},  /* Nissan Murano */
# {0x00, 0x37, 0x6d},  /* Lexus ES300h */
# {0x9c, 0x3a, 0xaf},  /* SAMSUNG HM1900 */
# {0x88, 0x30, 0x8a} /* CAR MULTIMEDIA */
# {0xf0, 0x65, 0xdd} /* Nokia BH-121 */
# {0x00, 0x18, 0xdc} /* Buffalo VH-1804 */
# {0x00, 0x0d, 0xfd} /* Motorola S10-HD */
# {0x9c, 0xdf, 0x03} /* BMW 71888 */

#Jinhua.Gong@PSW.CN.BT.CR.2107903.1058414, 2017/09/13,
#Add for [1058414],CAR-PHONE
# {0x33, 0x60, 0x50} /* CAR-PHONE */
#endif /* VENDOR_EDIT */
AddressBlacklist=00:1e:ae,00:26:b4,00:26:e8,00:37:6d,9c:3a:af,88:30:8a,f0:65:dd,00:18:dc,00:0d:fd,9c:df:03,33:60:50

# D8 perfers to act as master after D8 establishing connection
ExactNameBlacklist=D8,Bose AE2w 01.02.00

[MtkNotRestartAcl]
# Not restart ACL link when link down
# {0x00, 0x06, 0xf7},  /* MB Bluetooth, carkit */
AddressBlacklist=00:06:f7

###########################################
#               GAP
###########################################

[MtkDisableAutoPairing]
# Disable automatic pairing with remote device
# {0x00,0x0e,0x9f},/*TEMIC SDS (Porsche,Audi exp(PCM))*/
#ifdef VENDOR_EDIT
#Liangwen.Ke@PSW.CN.BT.Basic.Pair.1234484, 2018/01/26,
# {0x00, 0x02, 0xc7} /* HDSCBT */
#endif /* VENDOR_EDIT */
#Liangwen.Ke@PSW.CN.BT.Basic.Pair.1328555, 2018/03/30,
# {0x00, 0x0d, 0x18} /* Ample */
#endif /* VENDOR_EDIT */
AddressBlacklist=00:0e:9f,00:02:c7,00:0d:18

[MtkRoleSwitchBlacklist]
# Some devices may perform abnormally after role switch, do not role siwtch for them
# {0x02,0x2b,0x85},/*ix35 CAR KIT*/
# {0x9c,0xdf,0x03},/*BMW 71888*/
# {0x88,0x30,0x8a},/*CAR MULTIMEDIA*/
# {0x00,0x37,0x6d},/*CAR MULTIMEDIA*/
# {0x00,0x0d,0xfd},/*Motorola S9,S10-HD*/
# {0x00,0x18,0xdc},/*VH-1804*/
# {0x00,0x26,0Xb4},/*NAC FORD,2013 Lincoln*/
# {0x00,0x26,0xe8},/*Nissan Murano*/
# {0x00,0x37,0x6d},/*Lexus ES300h*/
# {0x9c,0x3a,0xaf},/*SAMSUNG HM1900*/
# {0xf0, 0x65, 0xdd} /* Nokia BH-121 */

#ifndef VENDOR_EDIT
#Baoti.Li@PSW.CN.BT.Basic.IOT.1063271, 2018/01/17,
#AddressBlacklist=02:2b:85,9c:df:03,88:30:8a,00:37:6d,00:0d:fd,00:18:dc,00:26:b4,00:26:e8,00:37:6d,9c:3a:af,f0:65:dd
#else /* VENDOR_EDIT */
#[00:08:7C]-[793939]-[aigo V20]
#[08:15:51]-[      ]-[D8]
AddressBlacklist=02:2b:85,9c:df:03,88:30:8a,00:37:6d,00:0d:fd,00:18:dc,00:26:b4,00:26:e8,00:37:6d,9c:3a:af,f0:65:dd,00:08:7c,08:15:51
#endif /* VENDOR_EDIT */

ExactNameBlacklist=CAR KIT,BMW 71888,CAR MULTIMEDIA,Motorola S9,Motorola S10-HD,VH-1804,NAC FORD,2013 Lincoln,Nissan Murano,Lexus ES300h,SAMSUNG HM1900,Nokia BH-121,Bose AE2w 01.02.00,NX403CBR


#ifdef VENDOR_EDIT
#Avinash.Pandey@PSW.CN.HFP.IOT.2068247,# 2019/06/05,
#Disable role switch for headsets/car-kits
#Some BT headsets/carkits misbehave
#after role switch complete
[MtkRoleSwitchPolicyBlacklist]
# Disable role switch policy for some devices which misbehave after role switch
#endif /* VENDOR_EDIT */

[MtkRoleSwitch]
# Some headset will create SCO ev3, FW can't handle this SCO when being slave
# {0x70, 0x66, 0x1b},  /* PPR RT */
AddressBlacklist=70:66:1b,00:0d:18

ExactNameBlacklist=PPR RT

[MtkLinkPolicyDisableRoleSwitch]
# {0xe0, 0x75, 0x0a},
AddressBlacklist=e0:75:0a

[MtkDisableServiceSecurityCheck]
# Disable service security check when remote device reconnect to DUT
# {0x50, 0xc9, 0x71},  /* Jabra STONE2 */
# {0x00, 0x23, 0x78},  /* Jabra STONE2 */
# {0x30, 0x53, 0x00},  /* BT CALL */
AddressBlacklist=50:c9:71,00:23:78,30:53:00

[MtkForcedSSP]
# Use SSP forcibly for IOT device
# {0x34, 0x88, 0x5d},  /*Bluetooth Mouse M557*/
# {0x00, 0x1f, 0x20},  /*Bluetooth Mouse M557*/
AddressBlacklist=34:88:5d,00:1f:20

ExactNameBlacklist=Bluetooth Mouse M557

[MtkGetUuidsFromStorage]
# get services from storage for some devices
# {0x0c, 0xfc, 0x83},  /* ADYSS-A6 */
# {0x00, 0x0d, 0x18},  /* HyundaiBT */
AddressBlacklist=0c:fc:83,00:0d:18

#ifdef VENDOR_EDIT
#heng.su@RM.CN.HFP.IOT #1580925, 2018/10/02, sync iot list from qcom
[MtkDisableCodecNegotiation]
# get services from storage for some devices
# {0x08, 0x17, 0x05},  /* M8 */
# {0x00, 0x08, 0x8a},  /* M12 */
# {0x50, 0x1a, 0xa5},  /* Jabra SPORT*/
# {0x00, 0x14, 0x10},  /* LeMe EB20 */
AddressBlacklist=08:17:05,00:08:8a,50:1a:a5,1c:48:f9,00:14:10,30:C0:1B
ExactNameBlacklist=JABRA EASYGO,Parrot ASTEROID Smart,Jabra Classic v0.5.3
#endif /* VENDOR_EDIT */

[MtkDisableReconnectRnr]
# Special bluetooth HID device cannot reconnect with Phone because of RNR conflict.
# {0x11, 0x22, 0x33},  /* YUNTENG */
AddressBlacklist=11:22:33

[MtkAvrcpTrackIdNoChange]
# some carkit UI wroing with track id non-zero
# {0x00, 0x17, 0x53},  /* Honda HFT */
AddressBlacklist=00:17:53

[MtkAvrcpUseMusicPlayStatus]
# some carkit should use music play status
# {0xd4, 0x36, 0x39},  /* Ford Ecosport */
# {0xa0, 0xe6, 0xf8},  /* Blaze */
# {0x6b, 0x1f, 0x88},   /*Versa (Classic)*/
AddressBlacklist=d4:36:39,a0:e6:f8,6b:1f:88

[MtkAvrcpSendExtraTrackChange]
#{0x33, 0x60, 0x40},   /* HZ Audio 9825 */
#{0x30, 0x14, 0x4a},   /* PSJ1 */
AddressBlacklist=33:60:40,30:14:4a

[MtkAvrcpForceTrackNumberToOne]
#{0x00, 0x0a, 0x08},   /* BMW 80957 */
AddressBlacklist=00:0a:08

[MtkAvrcpSkipPlayKey]
#{0x98, 0x06, 0xb7},   /* VW_MQB */
AddressBlacklist=98:06:b7

[MtkAvrcpChangePosInterval]
#{0x30, 0x14 ,0x4a},  /* PSJ1          */
AddressBlacklist=30:14:4a

[MtkStartAvrcpSdpIotDevice]
#{0x00, 0x0a, 0x08},  /* CDE-153Series */
#{0x00, 0x0d, 0x18},  /* TUCSON */
#{0x85, 0xb1, 0xaa},  /* M11 */
AddressBlacklist=00:0a:08,00:0d:18,85:b1:aa

[MtkSdpPbap11]
AddressBlacklist=00:00:55
